complexType "CalculationFromObservation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | ((initialLevel?, initialLevelSource?)? | closingLevel | expiringLevel)?, expectedN?
</...>

Content Model Elements (5):

  closingLevel, expectedN, expiringLevel, initialLevel, initialLevelSource

Known Direct Subtypes (2):

  Correlation, Variance

All Direct / Indirect Based Elements (2):

  correlation, variance

Known Usage Locations

- In derivations of other global types (2):

  Correlation (as extension base), | Variance (as extension base)

Annotation
Abstract base class for all calculation from observed values.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType abstract="true" name="CalculationFromObservation"> <xsd:sequence> <xsd:choice minOccurs="0"> <!--IY: DTCC proposal to add initialLevelSource --> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="initialLevel" type="xsd:decimal"/> <xsd:element minOccurs="0" name="initialLevelSource" type="DeterminationMethod"/> </xsd:sequence> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The value is added to the determinationMethod coding Scheme list. Element 'closingLevel' is deprecated and will be removed in the next major FpML version. Element 'initialLevelSource' with value 'ClosingPrice' should be used instead." name="closingLevel" type="xsd:boolean"/> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The value is added to the determinationMethod coding Scheme list. Element 'expiringLevel' is deprecated and will be removed in the next major FpML version. Element 'initialLevelSource' with value 'ExpiringContractLevel' should be used instead." name="expiringLevel" type="xsd:boolean"/> </xsd:choice> <xsd:element minOccurs="0" name="expectedN" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
closingLevel

  Type: | xsd:boolean, predefined, simple content

  If true this contract will strike off the closing level of the default exchange traded contract.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The value is added to the determinationMethod coding Scheme list. Element 'closingLevel' is deprecated and will be removed in the next major FpML version. Element 'initialLevelSource' with value 'ClosingPrice' should be used instead." name="closingLevel" type="xsd:boolean"/>

expectedN

  Type: | xsd:positiveInteger, predefined, simple content

  Expected number of trading days.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expectedN" type="xsd:positiveInteger"/>

expiringLevel

  Type: | xsd:boolean, predefined, simple content

  If true this contract will strike off the expiring level of the default exchange traded contract.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The value is added to the determinationMethod coding Scheme list. Element 'expiringLevel' is deprecated and will be removed in the next major FpML version. Element 'initialLevelSource' with value 'ExpiringContractLevel' should be used instead." name="expiringLevel" type="xsd:boolean"/>

initialLevel

  Type: | xsd:decimal, predefined, simple content

  Contract will strike off this initial level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialLevel" type="xsd:decimal"/>

initialLevelSource

  Type: | DeterminationMethod, simple content

  Specifies whether the Initial Index Level should be the Closing Price Level, the Expiring Contract Level, VWAPPrice, TWAPPrice, NAV or Open Price.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialLevelSource" type="DeterminationMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.